## rabbit 0.6.1

=== Makefile ===
entity:
	entities/ent2rb.rb entities/*.ent

## rabbit 0.6.4

=== debian/changelog ===
rabbit (0.6.4-2) unstable; urgency=low

  * Change source format 3.0(quilt)
  * Divide package to provide rabbit-mode (Closes: #571825)
  * Update man file

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 19 Mar 2010 14:37:04 +0900

rabbit (0.6.4-1) unstable; urgency=low

  * New upstream release
  * remove brock-call-workarround.patch 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 30 Jan 2010 12:20:00 +0900

rabbit (0.6.3-1) unstable; urgency=low

  * New upstream release
  * apply brock-call-workarround.patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 24 Jan 2010 10:43:12 +0900

rabbit (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #546166)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 17 Dec 2009 21:06:13 +0900

=== debian/control ===
Source: rabbit
Section: x11
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Homepage: http://www.cozmixng.org/~rwiki/?cmd=view;name=Rabbit
Build-Depends: cdbs, debhelper (>= 7), ruby-pkg-tools, quilt
Standards-Version: 3.8.4

Package: rabbit
Architecture: all
Depends: ${misc:Depends}, ruby1.8, libgtk2-ruby, libgdk-pixbuf2-ruby, librd-ruby1.8, librt-ruby1.8, libjs-prototype
Recommends: libgettext-ruby1.8, librsvg2-ruby, libgtkglext1-ruby, libhtree-ruby1.8, ghostscript, enscript, rabbit-mode
Suggests: mimetex, gimp, dia, tgif
Description: presentation tool using RD, a simple text format
 Rabbit is an application to do presentations with RD documents.  RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki.  Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
  * Slide looks are defined with Ruby and customizable.
  * Various keyboard interfaces.
  * Mouse gesture support.
  * Slides can contain many image formats: EPS, SVG, GIMP, and Dia.
  * Rabbit can be a server and you can access it with the dRuby interface.
  * and more...

Package: rabbit-mode
Architecture: all
Depends: ${misc:Depends}, rabbit, rdtool-elisp, emacs | emacs-snapshot | emacs23 | emacs22 | emacs
Description: Emacs-lisp rabbit-mode for writing RD document using Rabbit
 Rabbit is an application to do presentations with RD documents. RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki. Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
 This package provides Emacs major-mode for editing RD document using Rabbit

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk

manpages :=debian/rabbit*.1

DEB_COMPRESS_EXCLUDE := .rb .hiki .rd .dia .eps .svg .xcf
DEB_DH_INSTALLCHANGELOGS_ARGS := -k
DEB_INSTALL_CHANGELOGS_ALL := NEWS.en
DEB_INSTALL_DOCS_rabbit := NEWS.ja README.*
DEB_INSTALL_EXAMPLES_rabbit := sample/*
DEB_INSTALL_MANPAGES_rabbit := $(manpages)
DEB_RUBY_CONFIG_ARGS := --installdirs=std --shebang=never

install/rabbit::
	dh_install debian/rabbit-lavie.xpm usr/share/icons
	dh_install bin/rabrick usr/share/doc/rabbit/examples/programs
	dh_install bin/rabbirc usr/share/doc/rabbit/examples/programs

install/rabbit-mode::
	mkdir -p debian/rabbit-mode/usr/share/emacs/site-lisp/rabbit
	cp misc/emacs/rabbit-mode.el \
		debian/rabbit-mode/usr/share/emacs/site-lisp/rabbit
	dh_install misc/emacs/README.ja usr/share/doc/rabbit-mode

binary-post-install/rabbit::
	rm -f  debian/rabbit/usr/bin/rabbirc
	rm -f  debian/rabbit/usr/bin/rabrick
	rm -f  debian/rabbit/usr/bin/rabbit.bat
	rm -rf debian/rabbit/usr/share/emacs
	(cd debian/rabbit/usr/lib/ruby/1.8/rabbit/div && \
	 rm -f prototype.js &&  \
	 ln -s ../../../../../share/javascript/prototype/prototype.js .)

binary-post-install/rabbit-mode::
	rm -rf debian/rabbit-mode/usr/lib/ruby
	rm -rf debian/rabbit-mode/usr/share/locale
	rm -rf debian/rabbit-mode/usr/share/rabbit
	rm -rf debian/rabbit-mode/usr/bin

clean::
	rm -f lib/rabbit/config.rb

######
# backup for further maintenance
# can't running X inside pbuilder 
#pre-build::
#	help2man \
#		--name="presentation tool using RD, simple text format" \
#		--section=1 --manual="rabbit" --no-info \
#		"/usr/bin/ruby1.8 -Ilib bin/rabbit" \
#		> debian/rabbit.1
#	help2man \
#		--name="commandline utility for Rabbit" \
#		--section=1 --manual="rabbit-command" --no-info \
#		"/usr/bin/ruby1.8 -Ilib bin/rabbit-command" \
#		> debian/rabbit-command.1
#	help2man \
#		--name="Theme browser for Rabbit" \
#		--section=1 --manual="rabbit-theme-manager" --no-info \
#		"/usr/bin/ruby1.8 -Ilib bin/rabbit-theme-manager" \
#		> debian/rabbit-theme-manager.1
# rabbit
#	LC_ALL=C ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.1
#	LC_ALL=fr_FR.UTF-8 ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.fr.1
#	LC_ALL=ja_JP.UTF-8 ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.ja.1
# rabbit-theme-manager
#	LC_ALL=C ruby1.8 -Ilib bin/rabbit-theme-manager --roff --locale-dir data/locale > debian/rabbit-theme-manager.1
#	LC_ALL=fr_FR.UTF-8 ruby1.8 -Ilib bin/rabbit-theme-manager --roff --locale-dir data/locale > debian/rabbit-theme-manager.fr.1
#	LC_ALL=ja_JP.UTF-8 ruby1.8 -Ilib bin/rabbit-theme-manager --roff --locale-dir data/locale > debian/rabbit-theme-manager.ja.1
# rabbirc
# 	LC_ALL=C ruby1.8 -Ilib bin/rabbirc --roff --locale-dir data/locale > debian/rabbric.1
# 	LC_ALL=fr_FR.UTF-8 ruby1.8 -Ilib bin/rabbirc --roff --locale-dir data/locale > debian/rabbric.fr.1
# 	LC_ALL=ja_JP.UTF-8 ruby1.8 -Ilib bin/rabbirc --roff --locale-dir data/locale > debian/rabbric.ja.1
# rabbit-command
#	LC_ALL=C ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.1
#	LC_ALL=fr_FR.UTF-8 ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.fr.1
#	LC_ALL=ja_JP.UTF-8 ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.ja.1
# rabrick
#	LC_ALL=C ruby1.8 -Ilib bin/rabrick --roff --locale-dir data/locale > debian/rabrick.1
#	LC_ALL=fr_FR.UTF-8 ruby1.8 -Ilib bin/rabrick --roff --locale-dir data/locale > debian/rabrick.fr.1
#	LC_ALL=ja_JP.UTF-8 ruby1.8 -Ilib bin/rabrick --roff --locale-dir data/locale > debian/rabrick.ja.1

=== debian/watch ===
# Watch control file for uscan

version=3
http://www.cozmixng.org/~rwiki/?cmd=view;name=Rabbit .*/rabbit-(.*)\.tar\.gz

## rabbit 0.9.1

=== debian/changelog ===
rabbit (0.9.1-1) unstable; urgency=low

  * New upstream release: 0.9.1 
  * Add DM-Upload-Yes: I became Debian Maintainer
  * License changed: GPL-2 or later

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 27 Oct 2010 17:11:08 +0900

rabbit (0.9.0-1) unstable; urgency=low

  * Bump standard version: 3.9.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 30 Sep 2010 01:36:24 +0900

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Homepage: http://www.cozmixng.org/~rwiki/?cmd=view;name=Rabbit
 Build-Depends: cdbs, debhelper (>= 7), ruby-pkg-tools, quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
 
 Package: rabbit
 Architecture: all
 Depends: ${misc:Depends}, ruby1.8, libgtk2-ruby, libgdk-pixbuf2-ruby, librd-ruby1.8, librt-ruby1.8, libjs-prototype
-Recommends: libgettext-ruby1.8, librsvg2-ruby, libgtkglext1-ruby, libhtree-ruby1.8, ghostscript, enscript, rabbit-mode
-Suggests: mimetex, gimp, dia, tgif
+Recommends: libgettext-ruby1.8, librsvg2-ruby, libgtkglext1-ruby, libhtree-ruby1.8, ghostscript, enscript
+Suggests: mimetex, gimp, dia, tgif, rabbit-mode, python-aafigure
 Description: presentation tool using RD, a simple text format
  Rabbit is an application to do presentations with RD documents.  RD is a
  simple, easy-to-read, and easy-to-write text format like Wiki.  Rabbit has

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk

manpages :=debian/rabbit*.1

DEB_COMPRESS_EXCLUDE := .rb .hiki .rd .dia .eps .svg .xcf .ja .en
DEB_DH_INSTALLCHANGELOGS_ARGS := -k
DEB_INSTALL_CHANGELOGS_ALL := NEWS.en
DEB_INSTALL_DOCS_rabbit := NEWS.ja README.*
DEB_INSTALL_EXAMPLES_rabbit := sample/*
DEB_INSTALL_MANPAGES_rabbit := $(manpages)
DEB_RUBY_CONFIG_ARGS := --installdirs=std --shebang=never

install/rabbit::
	dh_install debian/rabbit-lavie.xpm usr/share/icons
	dh_install bin/rabrick usr/share/doc/rabbit/examples/programs
	dh_install bin/rabbirc usr/share/doc/rabbit/examples/programs
	dh_install bin/rabbiter usr/share/doc/rabbit/examples/programs

install/rabbit-mode::
	mkdir -p debian/rabbit-mode/usr/share/emacs/site-lisp/rabbit
	cp misc/emacs/rabbit-mode.el \
		debian/rabbit-mode/usr/share/emacs/site-lisp/rabbit
	dh_install misc/emacs/README.ja usr/share/doc/rabbit-mode

binary-post-install/rabbit::
	rm -f  debian/rabbit/usr/bin/rabbirc
	rm -f  debian/rabbit/usr/bin/rabrick
	rm -f  debian/rabbit/usr/bin/rabbit.bat
	rm -f  debian/rabbit/usr/bin/rabbiter
	rm -rf debian/rabbit/usr/share/emacs
	(cd debian/rabbit/usr/lib/ruby/1.8/rabbit/div && \
	 rm -f prototype.js &&  \
	 ln -s ../../../../../share/javascript/prototype/prototype.js .)

binary-post-install/rabbit-mode::
	rm -rf debian/rabbit-mode/usr/bin
	rm -rf debian/rabbit-mode/usr/lib/ruby
	rm -rf debian/rabbit-mode/usr/share/locale
	rm -rf debian/rabbit-mode/usr/share/rabbit

clean::
	rm -f lib/rabbit/config.rb

create_man::
	help2man \
		--name="presentation tool using RD, simple text format" \
		--section=1 --manual="rabbit" --no-info \
		"/usr/bin/ruby1.8 -Ilib bin/rabbit" \
		> debian/rabbit.1
	help2man \
		--name="commandline utility for Rabbit" \
		--section=1 --manual="rabbit-command" --no-info \
		"/usr/bin/ruby1.8 -Ilib bin/rabbit-command" \
		> debian/rabbit-command.1
	help2man \
		--name="Theme browser for Rabbit" \
		--section=1 --manual="rabbit-theme-manager" --no-info \
		"/usr/bin/ruby1.8 -Ilib bin/rabbit-theme-manager" \
		> debian/rabbit-theme-manager.1

## backup for futrue...
# create_man::
# 	LC_ALL=C ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.1
# 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-theme-manager --roff --locale-dir data/locale > debian/rabbit-theme-manager.1
# 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.1

## rabbit 1.0.4

=== debian/changelog ===
rabbit (1.0.4-2) unstable; urgency=low

  * Fix emacsen-install (Closes: #637783)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 15 Aug 2011 10:11:57 +0900

rabbit (1.0.4-1) unstable; urgency=low

  * New upstream release: 1.0.4
  * Update watch: change upstream URI
  * Remove unused patches
  * Transition Gem2Deb rules, check/update Depends

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 13 Aug 2011 18:53:10 +0900

rabbit (0.9.2-3) unstable; urgency=low

  * change priority: optional -> extra

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 26 Feb 2011 03:08:17 +0900

rabbit (0.9.2-2) unstable; urgency=low

  * update debian theme from upstream SVN
  * fix old release bug(LP: #663916)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 23 Feb 2011 20:46:23 +0900

rabbit (0.9.2-1) unstable; urgency=low

  * New Upstream Release: 0.9.2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 31 Dec 2010 18:44:21 +0900

=== debian/control ===
Source: rabbit
Section: x11
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://rabbit-shockers.org
# Vcs-Git: git://git.debian.org/git/pkg-ruby-extras/ruby-fftw3.git
# Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-fftw3.git;a=summary
XS-Ruby-Versions: all


Package: rabbit
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby | ruby-interpreter, libjs-prototype,
 ruby-gtk2,
 ruby-rsvg2,
 ruby-poppler,
 ruby-hikidoc,
 ruby-nokogiri,
 ruby-sinatra,
 libhaml-ruby1.8 | ruby-haml,
 librd-ruby1.8 | ruby-rdtool,
 librt-ruby1.8 | ruby-rttool,
 libcoderay-ruby1.8 | coderay,
 libgettext-ruby1.8 | ruby-gettext, libgettext-ruby1.9.1 | ruby-gettext,
 libhtree-ruby1.8 | ruby-htree, libhtree-ruby1.9.1 | ruby-htree
Suggests: ghostscript, mimetex, dia, rabbit-mode, python-aafigure
Description: presentation tool using RD, a simple text format
 Rabbit is an application to do presentations with RD documents.  RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki.  Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
  * Slide looks are defined with Ruby and customizable.
  * Various keyboard interfaces.
  * Mouse gesture support.
  * Slides can contain many image formats: EPS, SVG, GIMP, and Dia.
  * Rabbit can be a server and you can access it with the dRuby interface.
  * and more...

Package: rabbit-mode
Architecture: all
Depends: ${misc:Depends}, rabbit, rdtool-elisp, emacs | emacs23
Description: Emacs-lisp rabbit-mode for writing RD document using Rabbit
 Rabbit is an application to do presentations with RD documents. RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki. Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
 This package provides Emacs major-mode for editing RD document using Rabbit

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	rm -f  debian/rabbit/usr/bin/rabrick
	(cd debian/rabbit/usr/lib/ruby/vendor_ruby/rabbit/div && \
		rm -f prototype.js &&  \
		ln -s ../../../../../share/javascript/prototype/prototype.js .)
	rm -f debian/rabbit/usr/bin/rabbirack
	rm -f debian/rabbit/usr/bin/rabbirc
	rm -f debian/rabbit/usr/bin/rabbiter
	rm -f debian/rabbit/usr/bin/rabwii

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/rabbit/usr/share/rabbit/image/nari-images/property.rb

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
# include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk

# manpages :=debian/rabbit*.1

# DEB_COMPRESS_EXCLUDE := .rb .hiki .rd .dia .eps .svg .xcf .ja .en
# DEB_DH_INSTALLCHANGELOGS_ARGS := -k
# DEB_INSTALL_CHANGELOGS_ALL := NEWS.en
# DEB_INSTALL_DOCS_rabbit := NEWS.ja README.*
# DEB_INSTALL_EXAMPLES_rabbit := sample/*
# DEB_INSTALL_MANPAGES_rabbit := $(manpages)
# DEB_RUBY_CONFIG_ARGS := --installdirs=std --shebang=never

# install/rabbit::
# 	dh_install debian/rabbit-lavie.xpm usr/share/icons
# 	dh_install bin/rabrick usr/share/doc/rabbit/examples/programs
# 	dh_install bin/rabbirc usr/share/doc/rabbit/examples/programs
# 	dh_install bin/rabbiter usr/share/doc/rabbit/examples/programs

# install/rabbit-mode::
# 	mkdir -p debian/rabbit-mode/usr/share/emacs/site-lisp/rabbit
# 	cp misc/emacs/rabbit-mode.el \
# 		debian/rabbit-mode/usr/share/emacs/site-lisp/rabbit
# 	dh_install misc/emacs/README.ja usr/share/doc/rabbit-mode

# binary-post-install/rabbit::
# 	rm -f  debian/rabbit/usr/bin/rabbirc
# 	rm -f  debian/rabbit/usr/bin/rabbit.bat
# 	rm -f  debian/rabbit/usr/bin/rabbiter
# 	rm -rf debian/rabbit/usr/share/emacs
# 	(cd debian/rabbit/usr/lib/ruby/1.8/rabbit/div && \
# 	 rm -f prototype.js &&  \
# 	 ln -s ../../../../../share/javascript/prototype/prototype.js .)

# binary-post-install/rabbit-mode::
# 	rm -rf debian/rabbit-mode/usr/bin
# 	rm -rf debian/rabbit-mode/usr/lib/ruby
# 	rm -rf debian/rabbit-mode/usr/share/locale
# 	rm -rf debian/rabbit-mode/usr/share/rabbit

# clean::
# 	rm -f lib/rabbit/config.rb

# create_man::
# 	help2man \
# 		--name="presentation tool using RD, simple text format" \
# 		--section=1 --manual="rabbit" --no-info \
# 		"/usr/bin/ruby1.8 -Ilib bin/rabbit" \
# 		> debian/rabbit.1
# 	help2man \
# 		--name="commandline utility for Rabbit" \
# 		--section=1 --manual="rabbit-command" --no-info \
# 		"/usr/bin/ruby1.8 -Ilib bin/rabbit-command" \
# 		> debian/rabbit-command.1
# 	help2man \
# 		--name="Theme browser for Rabbit" \
# 		--section=1 --manual="rabbit-theme-manager" --no-info \
# 		"/usr/bin/ruby1.8 -Ilib bin/rabbit-theme-manager" \
# 		> debian/rabbit-theme-manager.1

# ## backup for futrue...
# # create_man::
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-theme-manager --roff --locale-dir data/locale > debian/rabbit-theme-manager.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.1

## rabbit 1.0.8

=== debian/changelog ===
rabbit (1.0.8-2) unstable; urgency=low

  * Fix wrong Depends: ruby-gettext is not instable (Closes: #678535)
    - Add Depends: libgettext-ruby{1.8,1.9.1} | ruby-gettext

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 23 Jun 2012 13:58:50 +0900

rabbit (1.0.8-1) unstable; urgency=low

  * Imported Upstream version 1.0.8
  * Drop patch:
    - 0002-Fix-a-bug-that-image-isn-t-displayed.patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 17 Jun 2012 17:15:48 +0900

rabbit (1.0.7-2) unstable; urgency=low

  * New patch: import from upstream
    - 0002-Fix-a-bug-that-image-isn-t-displayed.patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 14 Jun 2012 17:52:31 +0900

rabbit (1.0.7-1) unstable; urgency=low

  * Imported Upstream version 1.0.7
  * Change patch handling: using gbp-pq
  * Bump Standard version: 3.9.3
  * Add depends: 
     - ruby-kramdown for Markdown support
     - coderay >= 1.0.0
     - ruby-net-irc for rabbirc
  * Update manpages
  * Move rabbirc from /u/s/d/rabbit/examples to /usr/bin

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 03 Apr 2012 02:01:10 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper (>= 7.0.50~), gem2deb
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://rabbit-shockers.org
-# Vcs-Git: git://git.debian.org/git/pkg-ruby-extras/ruby-fftw3.git
-# Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-fftw3.git;a=summary
+Vcs-Git: git://git.debian.org/git/users/uwabami-guest/rabbit.git
+Vcs-Browser: http://git.debian.org/?p=users/uwabami-guest/rabbit.git;a=summary
 XS-Ruby-Versions: all
-
 
 Package: rabbit
 Architecture: all
@@ -21,12 +20,14 @@
  ruby-hikidoc,
  ruby-nokogiri,
  ruby-sinatra,
- libhaml-ruby1.8 | ruby-haml,
- librd-ruby1.8 | ruby-rdtool,
- librt-ruby1.8 | ruby-rttool,
- libcoderay-ruby1.8 | coderay,
+ ruby-coderay (>= 1.0.0),
+ ruby-haml,
+ ruby-kramdown,
+ ruby-rd,
+ ruby-net-irc,
  libgettext-ruby1.8 | ruby-gettext, libgettext-ruby1.9.1 | ruby-gettext,
  libhtree-ruby1.8 | ruby-htree, libhtree-ruby1.9.1 | ruby-htree
+# ruby-twitter-oauth,
 Suggests: ghostscript, mimetex, dia, rabbit-mode, python-aafigure
 Description: presentation tool using RD, a simple text format
  Rabbit is an application to do presentations with RD documents.  RD is a

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog|grep ^Version:|sed 's/^Version: //' | sed 's/-.*$$//g')
%:
	dh $@ --buildsystem ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	rm -f  debian/rabbit/usr/bin/rabrick
	(cd debian/rabbit/usr/lib/ruby/vendor_ruby/rabbit/div && \
		rm -f prototype.js &&  \
		ln -s ../../../../../share/javascript/prototype/prototype.js .)
	rm -f debian/rabbit/usr/bin/rabbirack
	rm -f debian/rabbit/usr/bin/rabbiter
	rm -f debian/rabbit/usr/bin/rabwii

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/rabbit/usr/share/rabbit/image/nari-images/property.rb

create_man::
	help2man \
		--name="presentation tool using RD, simple text format" \
		--section=1 --manual="rabbit" --no-info \
		"/usr/bin/ruby -Ilib bin/rabbit"  --version-string=${VERSION} \
		> debian/rabbit.1
	help2man \
		--name="commandline utility for Rabbit" \
		--section=1 --manual="rabbit-command" --no-info \
		"/usr/bin/ruby -Ilib bin/rabbit-command"  --version-string=${VERSION} \
		> debian/rabbit-command.1
	help2man \
		--name="Theme browser for Rabbit" \
		--section=1 --manual="rabbit-theme-manager" --no-info \
		"/usr/bin/ruby -Ilib bin/rabbit-theme-manager"  --version-string=${VERSION} \
		> debian/rabbit-theme-manager.1
	help2man \
		--name="IRC interface for Rabbit" \
		--section=1 --manual="rabbirc" --no-info \
		"/usr/bin/ruby -Ilib bin/rabbirc" --version-string=${VERSION} \
		> debian/rabbirc.1

# ## backup for futrue...
# # create_man::
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-theme-manager --roff --locale-dir data/locale > debian/rabbit-theme-manager.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.1

=== debian/watch ===
version=3
http://rabbit-shockers.org/download/ rabbit-(.*)\.tar\.gz

## rabbit 2.1.1

=== debian/changelog ===
rabbit (2.1.1-2) unstable; urgency=low

  * Drop ruby-gstreamer from Depends, Build-Depends

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 02 Sep 2013 09:10:36 +0900

rabbit (2.1.1-1) unstable; urgency=low

  * Imported Upstream version 2.1.1
  * Upload experimental to unstable
  * Update Vcs-* filed: use canonical URI, move pkg-ruby-extras
  * Refresh patches, Import upstream patches
  * Update rubygems.override
  * Import test/fixtures from upstream
  * Add ruby-tests.rb in order to execute test during build process
  * Update manpages
  * Install upstream changelogs

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 10 Aug 2013 04:29:04 +0900

rabbit (2.0.6-1) experimental; urgency=low

  * Update debian/watch: use gemwatch instead upstream URI
  * Imported Upstream version 2.0.6
  * Update Depends,Suggests
    * Add Depends: ruby-net-irc for rabbirc
  * Update manpages
  * Update debian/rules: remove unsupported command
  * Move rabbit-{theme,slide} into examples
  * Remove obsolete TODO
  * Update copyright

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 17 Dec 2012 17:33:54 +0900

=== debian/control ===
Source: rabbit
Section: x11
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb,
 ruby-test-unit,
 ruby-test-unit-rr,
 ruby-gtk2,
 ruby-rsvg2,
 ruby-poppler,
 ruby-hikidoc,
 ruby-nokogiri,
 ruby-rd,
 ruby-rt,
 ruby-coderay (>= 1.0.0),
 ruby-kramdown,
 ruby-gettext (>= 3.0.0),
 ruby-net-irc,
 ruby-faraday,
 xvfb,
 xauth
Standards-Version: 3.9.4
Homepage: http://rabbit-shockers.org
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rabbit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/rabbit.git;a=summary
XS-Ruby-Versions: ruby1.9.1

Package: rabbit
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby1.9.1, libjs-prototype,
 ruby-gtk2,
 ruby-rsvg2,
 ruby-poppler,
 ruby-hikidoc,
 ruby-nokogiri,
 ruby-rd,
 ruby-rt,
 ruby-coderay (>= 1.0.0),
 ruby-kramdown,
 ruby-gettext (>= 3.0.0),
 ruby-net-irc,
 ruby-faraday
Suggests: ghostscript, mimetex, dia, python-aafigure, gimp, python-blockdiag, enscript, emacs, rabbit-mode
Description: presentation tool using RD, a simple text format
 Rabbit is an application to do presentations with RD documents.  RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki.  Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
  * Slide looks are defined with Ruby and customizable.
  * Various keyboard interfaces.
  * Mouse gesture support.
  * Slides can contain many image formats: EPS, SVG, GIMP, and Dia.
  * Rabbit can be a server and you can access it with the dRuby interface.
  * and more...

Package: rabbit-mode
Architecture: all
Depends: ${misc:Depends}, rabbit, rdtool-elisp, emacs | emacs24 | emacs23
Description: Emacs-lisp rabbit-mode for writing RD document using Rabbit
 Rabbit is an application to do presentations with RD documents. RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki. Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
 This package provides Emacs major-mode for editing RD document using Rabbit

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog|grep ^Version:|sed 's/^Version: //' | sed 's/-.*$$//g')
%:
	dh $@ --buildsystem ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs -k $(CURDIR)/doc/en/news.rd

override_dh_installdocs:
	dh_installdocs
	( cd debian/rabbit/usr/share/doc/rabbit/sample/lldn/ && \
	  rm -f lavie.png && \
	  ln -s ../lavie.png . )

create_man::
	help2man \
		--name="presentation tool using RD, simple text format" \
		--section=1 --manual="rabbit" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit"  --version-string=${VERSION} \
		> debian/rabbit.1
	help2man \
		--name="commandline utility for Rabbit" \
		--section=1 --manual="rabbit-command" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit-command"  --version-string=${VERSION} \
		> debian/rabbit-command.1
	help2man \
		--name="IRC interface for Rabbit" \
		--section=1 --manual="rabbirc" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbirc" --version-string=${VERSION} \
		> debian/rabbirc.1
	help2man \
		--name="Template generator for Rabbit" \
		--section=1 --manual="rabbit-slide" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit-slide"  --version-string=${VERSION} \
		> debian/rabbit-slide.1
	help2man \
		--name="Theme generator for Rabbit" \
		--section=1 --manual="rabbit-teme" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit-teme"  --version-string=${VERSION} \
		> debian/rabbit-theme.1

# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-theme --roff --locale-dir data/locale > debian/rabbit-theme-manager.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.1

## rabbit 2.1.3

=== debian/changelog ===
rabbit (2.1.3-1) unstable; urgency=medium

  * Imported Upstream version 2.1.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 04 Aug 2014 13:28:18 +0900

rabbit (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - fix wrong URL in Homepage: field 
    - set "XS-Ruby-Versions: all" to fix "FTBFS: ruby2.0 is not supported
      by gem2deb anymore" (Closes: #747712)
    - remove XB-Ruby-Versions and add "Depends: ruby | ruby-interpreter"
      to fix "ruby-script-but-no-ruby-dep" lintian error

 -- Hideki Yamane <henrich@debian.org>  Wed, 14 May 2014 21:00:22 +0900

rabbit (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 2.1.2
  * debian/patches
    - drop 0002-Import-upstream-8cd4741-Fix-a-typo.patch, merged upstream
    - drop 0003-Import-upstream-58be9-Info-Window-support-auto-sourc.patch,
      merged upstream

 -- Hideki Yamane <henrich@debian.org>  Tue, 22 Apr 2014 23:16:22 +0900

rabbit (2.1.1-3) unstable; urgency=low

  * Team upload.
  * debian/control
    - set "XS-Ruby-Versions: ruby2.0" to fix FTBFS since gem2deb not support
      ruby1.9.1 anymore (Closes: #744043)
      Also, cannot set 2.1 yet, so stay 2.0 for a while.
  * debian/control
    - set "Depends: ruby2.0" to deal with "ruby-script-but-no-ruby-dep"
      lintian error
    - set "Standards-Version: 3.9.5"

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Apr 2014 12:35:15 +0900

=== debian/control ===
--- 
+++ 
@@ -20,16 +20,15 @@
  ruby-faraday,
  xvfb,
  xauth
-Standards-Version: 3.9.4
-Homepage: http://rabbit-shockers.org
+Standards-Version: 3.9.5
+Homepage: http://rabbit-shocker.org
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rabbit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/rabbit.git;a=summary
-XS-Ruby-Versions: ruby1.9.1
+XS-Ruby-Versions: all
 
 Package: rabbit
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${misc:Depends}, ruby1.9.1, libjs-prototype,
+Depends: ruby | ruby-interpreter, ${misc:Depends}, libjs-prototype,
  ruby-gtk2,
  ruby-rsvg2,
  ruby-poppler,

## rabbit 2.1.6

=== debian/changelog ===
rabbit (2.1.6-2) unstable; urgency=medium

  * Add emacsen-compat, update emacsen-{install,remove}
    + Follow new emacsen policy

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 18 Mar 2015 15:17:52 +0900

rabbit (2.1.6-1) unstable; urgency=medium

  * Imported Upstream version 2.1.6
  * Add python-blockdiag into Build-Depends
  * Bump Standard Version: 3.9.6

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 18 Mar 2015 00:56:38 +0900

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,10 @@
  ruby-gettext (>= 3.0.0),
  ruby-net-irc,
  ruby-faraday,
+ python-blockdiag,
  xvfb,
  xauth
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://rabbit-shocker.org
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rabbit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/rabbit.git;a=summary
@@ -57,7 +58,8 @@
 
 Package: rabbit-mode
 Architecture: all
-Depends: ${misc:Depends}, rabbit, rdtool-elisp, emacs | emacs24 | emacs23
+Depends: ${misc:Depends}, rabbit, rdtool-elisp, emacs | emacsen
+Conflicts: emacsen-common (<< 2.0.0)
 Description: Emacs-lisp rabbit-mode for writing RD document using Rabbit
  Rabbit is an application to do presentations with RD documents. RD is a
  simple, easy-to-read, and easy-to-write text format like Wiki. Rabbit has

## rabbit 2.1.8

=== debian/changelog ===
rabbit (2.1.8-1) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Remove obsolete d/require-rubygems.overrides

  [ Youhei SASAKI ]
  * Imported Upstream version 2.1.8
  * Refresh patches
  * Update docs
  * Bump Compat: 9
  * Update Depends, Build-Dependes

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 16 Oct 2015 01:33:42 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 7.0.50~), gem2deb,
+Build-Depends: debhelper (>= 9~), gem2deb,
+ ruby-gtk3,
  ruby-test-unit,
  ruby-test-unit-rr,
+ ruby-gio2,
  ruby-gtk2,
  ruby-rsvg2,
  ruby-poppler,
@@ -16,7 +18,6 @@
  ruby-coderay (>= 1.0.0),
  ruby-kramdown,
  ruby-gettext (>= 3.0.0),
- ruby-net-irc,
  ruby-faraday,
  python-blockdiag,
  xvfb,
@@ -30,6 +31,7 @@
 Package: rabbit
 Architecture: all
 Depends: ruby | ruby-interpreter, ${misc:Depends}, libjs-prototype,
+ ruby-gio2,
  ruby-gtk2,
  ruby-rsvg2,
  ruby-poppler,
@@ -40,7 +42,6 @@
  ruby-coderay (>= 1.0.0),
  ruby-kramdown,
  ruby-gettext (>= 3.0.0),
- ruby-net-irc,
  ruby-faraday
 Suggests: ghostscript, mimetex, dia, python-aafigure, gimp, python-blockdiag, enscript, emacs, rabbit-mode
 Description: presentation tool using RD, a simple text format

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/rabbit .*/rabbit-(.*).tar.gz

## rabbit 2.1.9

=== debian/changelog ===
rabbit (2.1.9-2) unstable; urgency=medium

  * Add, Refresh patches (Closes: #828214)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 26 Jun 2016 16:45:40 +0900

rabbit (2.1.9-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Youhei SASAKI ]
  * Imported Upstream version 2.1.9
  * Bump Standard version: 3.9.8

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 17 Jun 2016 15:38:28 +0900

=== debian/control ===
Source: rabbit
Section: x11
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               python-blockdiag,
               ruby-coderay (>= 1.0.0),
               ruby-faraday,
               ruby-gettext (>= 3.0.0),
               ruby-gio2,
               ruby-gtk2,
               ruby-gtk3,
               ruby-hikidoc,
               ruby-kramdown,
               ruby-nokogiri,
               ruby-poppler,
               ruby-rd,
               ruby-rsvg2,
               ruby-rt,
               ruby-test-unit,
               ruby-test-unit-rr,
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: http://rabbit-shocker.org
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rabbit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rabbit.git
XS-Ruby-Versions: all

Package: rabbit
Architecture: all
Depends: libjs-prototype,
         ruby | ruby-interpreter,
         ruby-coderay (>= 1.0.0),
         ruby-faraday,
         ruby-gettext (>= 3.0.0),
         ruby-gio2,
         ruby-gtk2,
         ruby-hikidoc,
         ruby-kramdown,
         ruby-nokogiri,
         ruby-poppler,
         ruby-rd,
         ruby-rsvg2,
         ruby-rt,
         ${misc:Depends}
Suggests: dia,
          emacs,
          enscript,
          ghostscript,
          gimp,
          mimetex,
          python-aafigure,
          python-blockdiag,
          rabbit-mode
Description: presentation tool using RD, a simple text format
 Rabbit is an application to do presentations with RD documents.  RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki.  Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
  * Slide looks are defined with Ruby and customizable.
  * Various keyboard interfaces.
  * Mouse gesture support.
  * Slides can contain many image formats: EPS, SVG, GIMP, and Dia.
  * Rabbit can be a server and you can access it with the dRuby interface.
  * and more...

Package: rabbit-mode
Architecture: all
Depends: emacs | emacsen,
         rabbit,
         rdtool-elisp,
         ${misc:Depends}
Conflicts: emacsen-common (<< 2.0.0)
Description: Emacs-lisp rabbit-mode for writing RD document using Rabbit
 Rabbit is an application to do presentations with RD documents. RD is a
 simple, easy-to-read, and easy-to-write text format like Wiki. Rabbit has
 many noteworthy features, which distinguish this application from other
 presentation tools.
 .
 This package provides Emacs major-mode for editing RD document using Rabbit

## rabbit 2.2.0

=== debian/changelog ===
rabbit (2.2.0-2) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Brown Paper Bag release.
  * Refresh patch.
  * d/tests/control: Depends: python-blockdiag for test
  * use d/tests/run-test instead of d/ruby-tests.rb

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 06 Aug 2017 22:19:57 +0900

rabbit (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * add d/tests/control for Debian CI.
  * d/control: Depends: gir1.2-pango-1.0 (Closes: #868774)
  * d/patches/0004-Add-debian-theme-Closes-828214.patch: applied upstream.
  * d/control: eliminate lintian warning:
    debian-rules-parses-dpkg-parsechangelog
  * d/control, d/compat: bump debhelper: 10.
  * Bump Standard version: 4.0.0.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 06 Aug 2017 12:53:25 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
                gem2deb,
                python-blockdiag,
                ruby-coderay (>= 1.0.0),
@@ -21,9 +21,10 @@
                ruby-rt,
                ruby-test-unit,
                ruby-test-unit-rr,
+               gir1.2-pango-1.0,
                xauth,
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://rabbit-shocker.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rabbit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rabbit.git
@@ -45,6 +46,7 @@
          ruby-rd,
          ruby-rsvg2,
          ruby-rt,
+         gir1.2-pango-1.0,
          ${misc:Depends}
 Suggests: dia,
           emacs,

## rabbit 2.2.1

=== debian/changelog ===
rabbit (2.2.1-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Add myself to Uploaders.
  * use Breaks: emacsen-common instead of Conflicts: emacsen-common.
  * use https instead of http
  * Move Vcs-* to salsa.debian.org
  * Bump debhelper compatibility level to 11
  * Update Standards-Version to 4.1.3

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 14 Jan 2018 12:24:17 +0900

rabbit (2.2.1-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Imported Upstream version 2.2.1.
  * Revert "{Build-,}Depends: gir1.2-pango-1.0",
    it is fixed by ruby-gnome2 3.1.0-1+deb9u1 and 3.1.8-7
  * eliminate lintian warning: debian-watch-uses-insecure-uri
  * Bump Standard version: 4.1.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 21 Oct 2017 18:50:33 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 10~),
+Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>,
+           HIGUCHI Daisuke (VDR dai) <dai@debian.org>
+Build-Depends: debhelper (>= 11~),
                gem2deb,
                python-blockdiag,
                ruby-coderay (>= 1.0.0),
@@ -21,13 +22,12 @@
                ruby-rt,
                ruby-test-unit,
                ruby-test-unit-rr,
-               gir1.2-pango-1.0,
                xauth,
                xvfb
-Standards-Version: 4.0.0
-Homepage: http://rabbit-shocker.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rabbit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rabbit.git
+Standards-Version: 4.1.3
+Homepage: https://rabbit-shocker.org
+Vcs-Git: https://salsa.debian.org/ruby-team/rabbit.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/rabbit
 XS-Ruby-Versions: all
 
 Package: rabbit
@@ -46,7 +46,6 @@
          ruby-rd,
          ruby-rsvg2,
          ruby-rt,
-         gir1.2-pango-1.0,
          ${misc:Depends}
 Suggests: dia,
           emacs,
@@ -76,7 +75,7 @@
          rabbit,
          rdtool-elisp,
          ${misc:Depends}
-Conflicts: emacsen-common (<< 2.0.0)
+Breaks: emacsen-common (<< 2.0.0)
 Description: Emacs-lisp rabbit-mode for writing RD document using Rabbit
  Rabbit is an application to do presentations with RD documents. RD is a
  simple, easy-to-read, and easy-to-write text format like Wiki. Rabbit has

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs -k $(CURDIR)/doc/en/news.rd

override_dh_installdocs:
	dh_installdocs
	( cd debian/rabbit/usr/share/doc/rabbit/sample/lldn/ && \
	  rm -f lavie.png && \
	  ln -s ../lavie.png . )

create_man::
	help2man \
		--name="presentation tool using RD, simple text format" \
		--section=1 --manual="rabbit" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit" \
		--version-string=${DEB_VERSION_EPOCH_UPSTREAM} \
		> debian/rabbit.1
	help2man \
		--name="commandline utility for Rabbit" \
		--section=1 --manual="rabbit-command" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit-command" \
		--version-string=${DEB_VERSION_EPOCH_UPSTREAM} \
		> debian/rabbit-command.1
	help2man \
		--name="IRC interface for Rabbit" \
		--section=1 --manual="rabbirc" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbirc" \
		--version-string=${DEB_VERSION_EPOCH_UPSTREAM} \
		> debian/rabbirc.1
	help2man \
		--name="Template generator for Rabbit" \
		--section=1 --manual="rabbit-slide" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit-slide" \
		--version-string=${DEB_VERSION_EPOCH_UPSTREAM} \
		> debian/rabbit-slide.1
	help2man \
		--name="Theme generator for Rabbit" \
		--section=1 --manual="rabbit-teme" --no-info --no-discard-stderr \
		"/usr/bin/ruby -Ilib bin/rabbit-teme" \
		--version-string=${DEB_VERSION_EPOCH_UPSTREAM} \
		> debian/rabbit-theme.1

# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit --roff --locale-dir data/locale > debian/rabbit.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-theme --roff --locale-dir data/locale > debian/rabbit-theme-manager.1
# # 	LC_ALL=C ruby1.8 -Ilib bin/rabbit-command --roff --locale-dir data/locale > debian/rabbit-command.1

=== debian/tests/control ===
Tests: run-test
Depends: @, gem2deb-test-runner, rttool, quilt, xvfb, xauth,
  ruby-test-unit-rr, ruby-test-unit-notify, python-blockdiag
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/rabbit .*/rabbit-(.*).tar.gz
